Bug 64706 - RH7.3 Fails to Detect UDMA 133 Mode of Operation of Drives
RH7.3 Fails to Detect UDMA 133 Mode of Operation of Drives
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-09 16:24 EDT by Need Real Name
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-09 16:24:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-05-09 16:24:47 EDT
Description of Problem:
When my system boots up, the drives are detected as UDMA 100 instead of the 
correct UDMA 133

Version-Release number of selected component (if applicable):
N/A

How Reproducible:
N/A

Steps to Reproduce:
1. 
2. 
3. 

Actual Results:

HPT372: IDE controller on PCI bus 00 dev 98
HPT372: chipset revision 5
HPT372: not 100% native mode: will probe irqs later
HPT37X: using 33MHz PCI clock
    ide2: BM-DMA at 0xc400-0xc407, BIOS settings: hde:DMA, hdf:pio
    ide3: BM-DMA at 0xc408-0xc40f, BIOS settings: hdg:DMA, hdh:pio
hde: MAXTOR 6L040J2, ATA DISK drive
hdg: MAXTOR 6L040J2, ATA DISK drive
ide2 at 0xb400-0xb407,0xb802 on irq 10
ide3 at 0xbc00-0xbc07,0xc002 on irq 10
hde: 78177792 sectors (40027 MB) w/1819KiB Cache, CHS=77557/16/63, UDMA(100)
hdg: 78177792 sectors (40027 MB) w/1819KiB Cache, CHS=77557/16/63, UDMA(100)

Expected Results:

HPT372: IDE controller on PCI bus 00 dev 98
HPT372: chipset revision 5
HPT372: not 100% native mode: will probe irqs later
HPT37X: using 33MHz PCI clock
    ide2: BM-DMA at 0xc400-0xc407, BIOS settings: hde:DMA, hdf:pio
    ide3: BM-DMA at 0xc408-0xc40f, BIOS settings: hdg:DMA, hdh:pio
hde: MAXTOR 6L040J2, ATA DISK drive
hdg: MAXTOR 6L040J2, ATA DISK drive
ide2 at 0xb400-0xb407,0xb802 on irq 10
ide3 at 0xbc00-0xbc07,0xc002 on irq 10
hde: 78177792 sectors (40027 MB) w/1819KiB Cache, CHS=77557/16/63, UDMA(133)
hdg: 78177792 sectors (40027 MB) w/1819KiB Cache, CHS=77557/16/63, UDMA(133)

Additional Information:
	
Hardware Involved:

Athlon XP 1800+ (not overclocked)
1024M of Mushkin Level 2 PC2100 DDR SDRAM (2 x 512)
ABIT KR7A-RAID (older one with VT8233 south bridge)
ATI Rage 128 Pro (16M)
Intel Pro/100 S Server Adapter
2 x 40G Maxtor D740X ATA/133 7200 RPM drives each connected as the master to 
the two ATA/133 interfaces provided by onboard HPT372 (using driver provided 
in RH7.3 kernel by default), using _SOFTWARE_ RAID to mirror hde to hdg
Comment 1 Arjan van de Ven 2002-10-06 05:02:18 EDT
this is hopefully fixed in 8.0 and the patch for that will be used for future
7.3 errata kernels

Note You need to log in before you can comment on or make changes to this bug.